Subject: Re: libxml2 needs converters/libiconv on NetBSD > 1.6, DragonFlyBSD and Solaris
To: None <>
From: Klaus Heinz <>
List: pkgsrc-users
Date: 04/02/2006 20:18:35 wrote:

> Please don't make any change like that, since it is clearly libxml2's
> fault. Let us continue the discussion about the correct behaviour on
> tech-userlevel, where it started.

I do not believe in asking question on public lists and then commit the
change in question (questionable change?) 2 hours later. I rather
tend to wait too long and then forget the issue sometimes :-/.

At this point, libxml2 and thus libxslt/xsltproc are broken on several
pkgsrc platforms where non-western code sets are concerned. Shouldn't
we address this in the short term by using converters/libiconv?

My question on tech-userlevel concerns the aspect of _whether_ we should
do anything about iconv-behaviour on NetBSD in the longer term.